import { Component } from '@angular/core';
import { DataproviderService } from './dataprovider.service'
import { FileList, MusicItem } from './filelist';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Private Cloud Music';
  playlists: string[] = [];
  currentPlaylist: string;
  filelists: FileList;
  
  constructor(public provider : DataproviderService) {}
  
  ngOnInit() : void {
    this.fetchDefaultPlaylists();
  }

  fetchDefaultPlaylists() : void {
    this.provider.getFileList("")
      .subscribe(filelist => {
        this.playlists = filelist.subFolderList;
        console.log(this.playlists);
        this.fetchPlaylist(this.playlists[0]);
      });
  }

  fetchPlaylist(playlistName : string) : void {
    this.currentPlaylist = playlistName;
    console.log(playlistName);
    this.provider.getFileList(playlistName)
      .subscribe(filelist => this.filelists = filelist)
  }

  onRequestPlaylistEvent(playlistName : string) : void {
    this.fetchPlaylist(playlistName);
  }

  onRequestPlaybackEvent(musicItemName : string) : void {
    console.log('baseurl/' + this.currentPlaylist + '/' + musicItemName);
  }
}
