import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { FileList, MusicItem } from '../filelist'

@Component({
  selector: 'app-playlist',
  templateUrl: './playlist.component.html',
  styleUrls: ['./playlist.component.css']
})
export class PlaylistComponent implements OnInit {

  @Input() filelist : FileList;
  @Output() requestPlaylistEvent = new EventEmitter<string>();
  @Output() requestPlaybackEvent = new EventEmitter<string>();

  constructor() { }

  ngOnInit(): void {
  }

  requestPlaylist(playlistName : string): void {
    this.requestPlaylistEvent.emit(playlistName);
  }

  requestPlayback(musicItem : MusicItem): void {
    this.requestPlaybackEvent.emit(musicItem.fileName);
  }
}
